!23456789a123456789b123456789c123456789d123456789e123456789f123456789g12
!
      module radio_mod
      use numerical
      use physical
      use astronomical
      implicit none
!
      type radio_isotope
        character :: aanuclide*5
        real (kind=nprecision) :: flepton
        real (kind=nprecision) :: fphoton
        real (kind=nprecision) :: gfactor
        real (kind=nprecision) :: hfactor
        integer :: ia
        integer :: ia_parent
        integer :: iz
        integer :: iz_parent
        real (kind=nprecision) :: qval_nu_omit
        real (kind=nprecision) :: rw7
        real (kind=nprecision) :: t_half
        real (kind=nprecision) :: t_efold
      end type radio_isotope
!
      end module radio_mod
!
!23456789a123456789b123456789c123456789d123456789e123456789f123456789g12
!
!
      program  ttype
      use numerical
      use physical
      use astronomical
      use radio_mod
      implicit none
!
      type(radio_isotope) :: radio
!
      radio=                                                               &
     & radio_isotope('Sc-44',44.d0,                                        &
     &                       0.21854115145076516d0,                        &
     &                       0.7814588485492349d0,                         &
     &                       0.d0,                                         &
     &                       0.d0,                                         &
     &                       2,                                            &
     &                       21,                                           &
     &                       2.736967367606984d0,                          &
     &                       .178d-8,                                      &
     &                       0.163625d0,                                   &
     &                       0.d0)                                         &
                            !     /)
!
      end program ttype

